<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xsltlib="http://jsa.or.jp/xsltlib"
  version="1.0">

<xsl:import href="xsltlib_index.xsl"/>
<xsl:variable name="xsltlib:index_ent" select="//term | //term1"/>
<xsl:variable name="xsltlib:index_ref" select="//title"/>

<xsl:template match="document">
  <html>
  <head>
    <title><xsl:value-of select="title"/></title>
  </head>
  <body>
    <xsl:apply-templates select="title"/>
    <hr/>
    <xsl:apply-templates select="chapter"/>
    <hr/>
    <xsl:call-template name="xsltlib:xslt_lib_index"/>
    <hr/>
  </body>
  </html>
</xsl:template>

<xsl:template match="title">
  <h1><xsl:value-of select="."/></h1>
</xsl:template>

<xsl:template match="chapter">
  <h2><xsl:value-of select="title"/></h2>
  <p><xsl:apply-templates select="p"/></p>
  <xsl:apply-templates select="section"/>
</xsl:template>

<xsl:template match="section">
  <h3><xsl:value-of select="title"/></h3>
  <p><xsl:apply-templates select="p"/></p>
  <xsl:apply-templates select="sub-section"/>
</xsl:template>

<xsl:template match="sub-section">
  <b><xsl:value-of select="title"/></b>
  <p><xsl:apply-templates select="p"/></p>
  <xsl:apply-templates select="list"/>
</xsl:template>

<xsl:template match="p">
  <xsl:if test="position() != 1"><br/>  </xsl:if>
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="list">
  <ul><xsl:apply-templates select="item"/></ul>
</xsl:template>

<xsl:template match="item">
  <li><xsl:value-of select="."/></li>
</xsl:template>

</xsl:stylesheet>


